# Communication

The Kubernetes community abides by the [Kubernetes code of conduct].  Here is an excerpt:

> _As contributors and maintainers of this project, and in the interest
> of fostering an open and welcoming community, we pledge to respect
> all people who contribute through reporting issues, posting feature
> requests, updating documentation, submitting pull requests or patches,
> and other activities._

## SIGs

Kubernetes encompasses many projects, organized into [SIGs](/sig-list.md).
Some communication has moved into SIG-specific channels - see
a given SIG subdirectory for details.

Nevertheless, below find a list of many general channels, groups
and meetings devoted to Kubernetes.

## Social Media

* [Twitter]
* [Blog]
* Pose questions and help answer them on [Stack Overflow].

## Slack

[Join Slack] - sign up and join channels on topics that interest you, but please read our [Slack Guidelines] before participating.

If you want to add a new channel, simply file a request following [these
instructions](slack-guidelines.md#requesting-a-channel).


## Mailing lists

Kubernetes mailing lists are hosted through Google Groups.  To
receive these lists' emails,
[join](https://support.google.com/groups/answer/1067205) the groups
relevant to you, as you would any other Google Group.

* [kubernetes-announce] broadcasts major project announcements such as releases and security issues
* [kubernetes-dev] hosts development announcements and discussions around developing kubernetes itself
* [Discuss Kubernetes] is where kubernetes users trade notes
* Additional Google groups exist and can be joined for discussion related to each SIG and Working Group.  These are linked from the [SIG list](/sig-list.md).

## Issues

If you have a question about Kubernetes or have a problem using it,
please start with the [troubleshooting guide].

If that doesn't answer your questions, or if you think you found a bug,
please [file an issue].

## Accessing community documents

In order to foster real time collaboration there are many working documents
and notes that are taken in Google Docs, and then transferred to this repository
if appropriate. 

To access these documents, you must _subscribe to the kubernetes-dev mailing list_
as outlined above, as these documents are shared automatically with anyone who
subscribes to that list. 

## Office Hours

Office hours are held once a month. Please refer to [this document](/events/office-hours.md) to learn more.

## Weekly Meeting

We have a public and recorded [weekly meeting] every Thursday at 10am US Pacific Time over Zoom.

Convert it to your local time using the [timezone table].

See it on the web at [calendar.google.com], or paste this [iCal url] into any iCal client.

To be added to the calendar items, join the Google group
[kubernetes-community-video-chat] for further instructions.

If you have a topic you'd like to present or would like to see discussed,
please propose a specific date on the [Kubernetes Community Meeting Agenda].


## Conferences

Kubernetes is the main focus of KubeCon + CloudNativeCon, held every spring in Europe, summer in China, and winter in North America. Information about these and other community events is available on the CNCF [events] pages.


[Blog]: https://kubernetes.io/blog/
[calendar.google.com]: https://calendar.google.com/calendar/embed?src=cgnt364vd8s86hr2phapfjc6uk%40group.calendar.google.com&ctz=America/Los_Angeles
[Kubernetes code of conduct]: /code-of-conduct.md
[events]: https://www.cncf.io/events/
[file an issue]: https://github.com/kubernetes/kubernetes/issues/new
[iCal url]: https://calendar.google.com/calendar/ical/cgnt364vd8s86hr2phapfjc6uk%40group.calendar.google.com/public/basic.ics
[Kubernetes Community Meeting Agenda]: https://docs.google.com/document/d/1VQDIAB0OqiSjIHI8AWMvSdceWhnz56jNpZrLs6o7NJY/edit#
[kubernetes-community-video-chat]: https://groups.google.com/forum/#!forum/kubernetes-community-video-chat
[kubernetes-announce]: https://groups.google.com/forum/#!forum/kubernetes-announce
[kubernetes-dev]: https://groups.google.com/forum/#!forum/kubernetes-dev
[Discuss Kubernetes]: https://discuss.kubernetes.io
[Join Slack]: http://slack.k8s.io
[Slack Guidelines]: /communication/slack-guidelines.md
[Stack Overflow]: https://stackoverflow.com/questions/tagged/kubernetes
[timezone table]: https://www.google.com/search?q=1000+am+in+pst
[troubleshooting guide]: https://kubernetes.io/docs/tasks/debug-application-cluster/troubleshooting/
[Twitter]: https://twitter.com/kubernetesio
[weekly meeting]: https://zoom.us/my/kubernetescommunity

