# Mentee Guide for Group Mentoring
This doc is a work in progress

## Welcome and Summary
Welcome prospective mentee! This is an experimental group mentoring program where individuals will work self-paced in a semi-structured learning environment over the course of three months. Want to get lgtm rights? Be a decision maker in an OWNERS file? This could be a great way to get the knowledge you need, some accountability to do it, and interact with active contributors who may on the same path as you and our experienced Kubernetes developers. 

During the three month period, you will work on a path to the next level of membership which will take some work along with peers who have the same goal. This cohort will include mentors who are at least the level that you are targeting with ample experience in the project. These mentors will counsel but not provide answers to the problem or the solution itself. Think of them as true pilots of the sea - navigational experts - only to our codebase. At the end of the three month period, with open communication, the decision to accept or not proceed with the advancement should not be a surprise. 

Familiarize yourself with the [community membership requirements doc](/community-membership.md) including the requirements needed for your specific journey. You’ll receive sponsorship from the mentors and other people you've worked on issues/PRs with upon successful completion of the program. 

## Expectations    
* You understand the requirements to become $member_role (ex: member->reviewer) 
* Good standing throughout the program and uphold our code of conduct
* Attend two bi-weekly standups/workshops a month (1 hour each)
* The program is at your pace but these meetings will discuss your wins and blocks
* These meetings will also cover development area topics, suggested activities, and groomed issues
* Be helpful to your peers in the cohort
* Give back and be a mentor in a future cohort
* Mutual respect from mentors and peers who are in the cohort with you
* Adhere to the Kubernetes Community Guidelines

## Development Areas & Activities
These topics will be covered during bi-weekly standups/workshops. The suggested activities will be covered in the mentee's normal day to day. Know something that should be added? Start a convo/add a PR - your comments are appreciated.

### Current Member Cohort Topics
* Effective communication in our ecosystem
* Kubernetes Governance 101 (what's a SIG?, OWNERS files, steering committee, etc.)
* Identifying & understanding issue backlog and prioritization
* Contributing to testing (how to run tests and create new ones)
* [need 3-4 more]

Suggested Activity
* Scrub XS and typo fixes into branches they maintain for occasional quick bulk review/approval with mentors
* Help review docs
* Setup feature and run tests or examples and fix documentation if needed
* Create new content in community based on feedback from wider community


### Current Reviewer Cohort
* Code Reviews the Kubernetes Way (i.e. best practices)
* How to groom issues for new members
* Communicating effectively as a leader (on GH and throughout project)
* The value in / how to tech review docs
* Kubernetes Governance 201 (SIG deep dive, proposals)
* Testing (what should be an e2e test, how to write S, M, L, tests) 

Suggested Activity
* Be a tech reviewer for docs 
* Write an E2E test

### Current Approver Cohort
* Communicating effectively as a leader (on GH and throughout project)
* How to write better docs (release notes, etc.)
* How to propose a new feature (features, design proposals)

### Other Help Resources
- slack
	- #kubernetes-dev
	- your respective sig or other sigs that could help 
		- [SIG List](/sig-list.md) 
		- #sig-contribex
	- #kubernetes-teachers
- mailing lists
	- kubernetes-dev@googlegroups.com
	- your respective sig (ie - kubernetes-sig-cli@googlegroups.com)
- contributor office hours
	- Kubernetes Community Office Hours (need to create page; will update with link)
	- #office-hours on slack
- the docs
	- k/community is your friend for upstream workflows, processes, and information around contributing
	- This repo includes the community/devel folder which will be extra helpful that includes docs such as:
    - [Code Review Expectations](/contributors/guide/community-expectations.md)
    - [Collaboration on k8s](/contributors/guide/collab.md)


### Test Cohort Special Circumstances & Notes  
* This is a group of current members working towards reviewership. If you are a current member and would like to participate, reach out to Paris on slack.
* Since this is a predetermined group, the program may last two months instead of three. Expected completion date: end of February   


Thank you to both mentees and mentors for taking on this new, unchartered territory! We will be building documentation around you and appreciate your guidance as a founding member of this program!

