<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# Contributor Experience Special Interest Group

Developing and sustaining a healthy community of contributors is critical to scaling the project and growing the ecosystem. We need to ensure our contributors are happy and productive, and that there are not bottlenecks hindering the project in, for example: feature velocity, community scaling, pull request latency, and absolute numbers of open pull requests and open issues.

The [charter](charter.md) defines the scope and governance of the Contributor Experience Special Interest Group.

## Meetings
* APAC SIG Meeting: [Wednesdays at 20:00 PT (Pacific Time)](https://docs.google.com/document/d/1FQx0BPlkkl1Bn0c9ocVBxYIKojpmrS1CFP5h0DI68AE/edit) (monthly - fourth Wednesday every month). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=20:00&tz=PT%20%28Pacific%20Time%29).
* Regular SIG Meeting: [Wednesdays at 9:30 PT (Pacific Time)](https://docs.google.com/document/d/1FQx0BPlkkl1Bn0c9ocVBxYIKojpmrS1CFP5h0DI68AE/edit) (weekly - except fourth Wednesday every month). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=9:30&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1qf-02B7EOrItQgwXFxgqZ5qjW0mtfu5qkYIF1Hl4ZLI/).
  * [Meeting recordings](https://www.youtube.com/watch?v=EMGUdOKwSns&list=PL69nYSiGNLP2x_48wbOPO0vXQgNTm_xxr).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Elsie Phillips (**[@Phillels](https://github.com/Phillels)**), Red Hat
* Paris Pittman (**[@parispittman](https://github.com/parispittman)**), Google

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Christoph Blecker (**[@cblecker](https://github.com/cblecker)**), Red Hat
* Nikhita Raghunath (**[@nikhita](https://github.com/nikhita)**), Loodse

## Emeritus Leads

* Garrett Rodrigues (**[@grodrigues3](https://github.com/grodrigues3)**), Google

## Contact
* [Slack](https://kubernetes.slack.com/messages/sig-contribex)
* [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-contribex)
* [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fcontributor-experience)

## Subprojects

The following subprojects are owned by sig-contributor-experience:
- **community**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/community/master/OWNERS
- **community-management**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/community/master/communication/OWNERS
- **contributors-documentation**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes-sigs/contributor-site/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/community/master/contributors/guide/OWNERS
  - Meetings:
    - Non-Code Contributors Meeting: [Wednesdays at 11:00 PT (Pacific Time)](https://docs.google.com/document/d/1gdFWfkrapQclZ4-z4Lx2JwqKsJjXXUOVoLhBzZiZgSk/edit) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=11:00&tz=PT%20%28Pacific%20Time%29).
- **devstats**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/community/master/sig-contributor-experience/devstats/OWNERS
  - Contact
    - Slack: [#devstats](https://kubernetes.slack.com/messages/devstats)
- **events**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/community/master/events/OWNERS
  - Contact
    - Slack: [#events](https://kubernetes.slack.com/messages/events)
  - Meetings:
    - Contributor Summit strategy, content and planning: [Mondays at 9:00 PT (Pacific Time)]() (weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=9:00&tz=PT%20%28Pacific%20Time%29).
- **github-management**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/community/master/github-management/OWNERS
    - https://raw.githubusercontent.com/kubernetes/org/master/OWNERS
- **k8s.io**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/k8s.io/master/OWNERS
- **mentoring**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes-sigs/contributor-playground/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/community/master/mentoring/OWNERS
- **repo-infra**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/repo-infra/master/OWNERS
- **slack-infra**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes-sigs/slack-infra/master/OWNERS
  - Contact
    - Slack: [#slack-infra](https://kubernetes.slack.com/messages/slack-infra)

## GitHub Teams

The below teams can be mentioned on issues and PRs in order to get attention from the right people.
Note that the links to display team membership will only work if you are a member of the org.

| Team Name | Details | Description |
| --------- |:-------:| ----------- |
| @kubernetes/sig-contributor-experience-bugs | [link](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-bugs) | Bug Triage and Troubleshooting |
| @kubernetes/sig-contributor-experience-feature-requests | [link](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-feature-requests) | Feature Requests |
| @kubernetes/sig-contributor-experience-misc-use-only-as-a-last-resort | [link](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-misc-use-only-as-a-last-resort) | General Discussion |
| @kubernetes/sig-contributor-experience-pr-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-pr-reviews) | PR Reviews |
| @kubernetes/sig-contributor-experience-proposals | [link](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-proposals) | Design Proposals |
| @kubernetes/sig-contributor-experience-test-failures | [link](https://github.com/orgs/kubernetes/teams/sig-contributor-experience-test-failures) | Test Failures and Triage |

<!-- BEGIN CUSTOM CONTENT -->

<!-- END CUSTOM CONTENT -->
