<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# PM Special Interest Group

Focuses on aspects of product management, such as the qualification and successful management of user requests, and aspects of project and program management such as the continued improvement of the processes used by the Kubernetes community to maintain the Kubernetes Project itself.
Besides helping to discover both what to build and how to build it, the PM Group also helps to try and keep the wheels on this spaceship we are all building together; bringing together people who think about Kubernetes as both a vibrant community of humans and technical program is another primary focus of this group.
Members of the Kubernetes PM Group can assume certain additional responsibilities to help maintain the Kubernetes Project itself.
It is also important to remember that the role of managing an open source project is very new and largely unscoped for a project as large as Kubernetes; we are learning too and we are excited to learn how we can best serve the community of users and contributors.

The [charter](charter.md) defines the scope and governance of the PM Special Interest Group.

## Meetings
* Regular SIG Meeting: [Tuesdays at 18:30 UTC](https://docs.google.com/document/d/1FQx0BPlkkl1Bn0c9ocVBxYIKojpmrS1CFP5h0DI68AE/edit) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=18:30&tz=UTC).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/13uHgcLf-hcR4a5QbV888fhnVsF3djBEpN8HolwS0kWM/edit?usp=sharing).
  * [Meeting recordings](https://www.youtube.com/watch?v=VcdjaZAol2I&list=PL69nYSiGNLP3EBqpUGVsK1sMgUZVomfEQ).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Caleb Miles (**[@calebamiles](https://github.com/calebamiles)**), Google
* Ihor Dvoretskyi (**[@idvoretskyi](https://github.com/idvoretskyi)**), CNCF
* Jaice Singer DuMars (**[@jdumars](https://github.com/jdumars)**), Google
* Stephen Augustus (**[@justaugustus](https://github.com/justaugustus)**), VMware

## Emeritus Leads

* Aparna Sinha (**[@apsinha](https://github.com/apsinha)**), Google

## Contact
* [Slack](https://kubernetes.slack.com/messages/sig-pm)
* [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-pm)
* [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fpm)

## Subprojects

The following subprojects are owned by sig-pm:
- **enhancements**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/enhancements/master/OWNERS

<!-- BEGIN CUSTOM CONTENT -->

SIG-PM (Program, Product, Project Management)
=============================================

### Overview:

Program, project, and product management in open source software communities represents a significant challenge. Such positions traditionally rely on hierarchical structure to drive work from the executive tier down to the team level, whereas in OSS there is little or no accountability other than that gained through influence and commutative trust.

### TL;DR:

#### We cannot:

-	Set schedules

-	Dictate features to SIGs

-	Set headcount

#### We can and must

-	Serve the individuals and companies within the Kubernetes community by communicating the value produced by the SIGs

In this milieu, the art of program-level facilitation requires an observational approach that gathers information as opposed to driving it. The “program” in question is essentially the assembly of a coherent view of aggregate plans, processes, governance, and aspirations.

-	Responsible for the forward-looking translation of high-level strategic objectives into project, product, marketing, and other specialized implementation strategies as defined by special interest groups.

-	Staffing of specific release roles: Release features lead, Release Marketing Coordinator, Product Roadmap committee

Key Roles:
----------

-	SIG-PM Chairs:

	-	Accountability for development and communication of roadmap and project vision

	-	Coordinating communication between the community, other SIGs, steering committee, foundations, working groups, and SIG-PM

	-	Building the PM organization within the community - onboarding, mentoring and knowledge sharing. Development and refinement of best practices around PM responsibilities

	-	Responsible for organizing SIG [PM] meetings and activities (on-site, roadshows, conference presentations)

	-	Managing consensus-building around the evolving mission and accountabilities for the SIG

	-	Helps translate long-term strategic objectives (such as moving towards a stable core, adding extensibility, writing longer term roadmap plans by SIG, providing visibility across SIGs) into actionable strategies that can be implemented by project managers, product managers, SIGs, working groups, and individuals

	-	PoC for analyst, press, and end user communication about roadmap and program processes

	-	Review / approve marketing & PR message and blog post for each release

	-	Project updates and webinar to end users (external) and community

-	Product Management Subproject area:

	-	Codify end user requirements - conduct interviews, surveys, market analysis and synthesize segments, requirements and roadmap requests

	-	Facilitating and running the annual roadmap process with the SIGs

	-	Running end user survey and synthesizing inputs

	-	Facilitate communication around product concerns between program management and SIGs

	-	Contributor summit readout activities

	-	Drafting, staffing, and delivering through consensus, KEPs that represent user value that may span multiple SIGs, WGs, or other sub-projects

	-	Identify, organize, and track customer concerns, needs, and satisfaction

-	Technical Program Management area:

	-	Features process management on a quarterly cadence (setting and communicating the process and deadlines, managing input, collecting and reporting on features and enabling the release team)

	-	Responsible for creating and maintaining multi-release spanning documentation that provides overarching strategic goals, metrics, and risk assessments, and other program-level concerns

	-	Helps SIGs do quarterly release planning, facilitation of team-level and SIG-level activities

	-	Help teams deliver features over the course of the release (primary interface between the “features process” and release team)

	-	Mentorship of those interested in becoming program managers, or release leaders

-	Roles to be staffed from Program Manager pool in SIG PM

	-	Release Marketing Coordinator:
		-	See marketing coordinator documentation
<!-- END CUSTOM CONTENT -->
